# -*- coding: utf-8 -*-

from __future__ import division

from django_logit import logit
from django_query import get_query_value
from django_response import response

from api.wx_views import get_point_limit_scene_qrcode_url
from equipment.models import IsolationPointFieldPoolInfo, IsolationPointInfo
from utils.error.errno_utils import IsolationPointStatusCode


@logit
def field_default(request):
    fields = IsolationPointFieldPoolInfo.objects.filter(status=True)
    fields = [f.data for f in fields]

    return response(data={
        'fields': fields,
    })


@logit
def point_field_update(request):
    point_id = request.POST.get('point_id', '')
    fields = get_query_value(request, 'fields', val_cast_type='listjson')

    try:
        point = IsolationPointInfo.objects.get(point_id=point_id, status=True)
    except IsolationPointInfo.DoesNotExist:
        return response(IsolationPointStatusCode.ISOLATIONPOINT_NOT_FOUND)

    point.point_fields = fields
    point.limit_scene_qrcode_url = get_point_limit_scene_qrcode_url(point_id)
    point.save()

    return response()
